{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "33f6f796",
   "metadata": {},
   "source": [
    "# Реализация простого класса для чтения из файла #"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "3190d19d",
   "metadata": {},
   "source": [
    "Первое задание у нас для разогрева. Ваша задача написать Python-модуль `solution.py`, внутри которого определен класс `FileReader`.\n",
    "\n",
    "Инициализатор этого класса принимает аргумент - путь до файла на диске.\n",
    "\n",
    "У класса должен быть метод `read`, возвращающий содержимое файла в виде строки.\n",
    "\n",
    "Еще один момент - внутри метода `read` вы должны обрабатывать исключение `IOError`, возникающее, когда файла, с которым был инициализирован класс, на самом деле нет на жестком диске. В случае возникновения такой ошибки метод `read` должен возвращать пустую строку \"\".\n",
    "\n",
    "То есть класс должен работать следующим образом:"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 15,
   "id": "07c2ccec",
   "metadata": {},
   "outputs": [],
   "source": [
    "from solution import FileReader"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "id": "2536881e",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "\n"
     ]
    }
   ],
   "source": [
    "reader = FileReader(\"example.txt\")\n",
    "print(reader.read())"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.6.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
